Skip to navigation

Get Company by User ID

Returns information for the Company account that corresponds to the provided user ID.

Equivalent Storefront GraphQL API Query: userCompany. For more information, see the GraphQL Playground.

You must use the userId value for the Company user to return the correct Company; the customerId value of the corresponding BigCommerce customer account is not supported.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

userIdstringRequired
The unique ID for the customer account.

Response

OK
messagestringOptional
codedoubleOptionalDefaults to 200
dataobjectOptional